Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class UIPortlet

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.jboss.portal.faces.component.portlet.UIPortlet

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder

    public class UIPortlet

extends javax.faces.component.UICommand

Version:
  $Revision: 11168 $
Author:
  Julien Viet

Field Summary

Fields inherited from class javax.faces.component.UICommand
`COMPONENT_FAMILY, COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIPortlet()`

Method Summary
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`void` | `decode(javax.faces.context.FacesContext faces)`
`void` | `encodeBegin(javax.faces.context.FacesContext faces)`
`void` | `encodeChildren(javax.faces.context.FacesContext facesContext)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext)`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getInitialMode()`
`java.lang.String` | `getInitialWindowState()`
`java.lang.String` | `getOnClick()`
`java.lang.String` | `getPortletId()`
`org.jboss.portal.portlet.PortletInvoker` | `getPortletInvoker()`
`java.lang.String` | `getRendererType()`
`java.util.Set` | `getSupportedModes()`
`java.util.Set` | `getSupportedWindowStates()`
`void` | `restoreState(javax.faces.context.FacesContext faces, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext faces)`
`void` | `setInitialMode(java.lang.String initialMode)`
`void` | `setInitialWindowState(java.lang.String initialWindowState)`
`void` | `setOnClick(java.lang.String onClick)`
`void` | `setPortletId(java.lang.String portletId)`
`void` | `setPortletInvoker(org.jboss.portal.portlet.PortletInvoker portletInvoker)`
`void` | `setSupportedModes(java.util.Set supportedModes)`
`void` | `setSupportedWindowStates(java.util.Set supportedWindowStates)`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIPortlet

    public UIPortlet()

Method Detail

### getPortletInvoker

    public org.jboss.portal.portlet.PortletInvoker getPortletInvoker()

### setPortletInvoker

    public void setPortletInvoker(org.jboss.portal.portlet.PortletInvoker portletInvoker)

### getPortletId

    public java.lang.String getPortletId()

### setPortletId

    public void setPortletId(java.lang.String portletId)

### getSupportedModes

    public java.util.Set getSupportedModes()

### setSupportedModes

    public void setSupportedModes(java.util.Set supportedModes)

### getSupportedWindowStates

    public java.util.Set getSupportedWindowStates()

### setSupportedWindowStates

    public void setSupportedWindowStates(java.util.Set supportedWindowStates)

### getInitialWindowState

    public java.lang.String getInitialWindowState()

### setInitialWindowState

    public void setInitialWindowState(java.lang.String initialWindowState)

### getInitialMode

    public java.lang.String getInitialMode()

### setInitialMode

    public void setInitialMode(java.lang.String initialMode)

### getOnClick

    public java.lang.String getOnClick()

### setOnClick

    public void setOnClick(java.lang.String onClick)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UICommand`
  Throws:
    `javax.faces.event.AbortProcessingException`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext faces)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext faces,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

### decode

    public void decode(javax.faces.context.FacesContext faces)

  Overrides:
    `decode` in class `javax.faces.component.UIComponentBase`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext faces)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.io.IOException`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD